## linux-restricted-modules-2.6.24 2.6.24.18-32.14

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.18-32.14) hardy-proposed; urgency=low

  * Bump upload number, for reupload to c-k-t PPA with fixed source package
    (previous version had its source package wrongly created, with missing
    .o files required for build, due to stock -I option passed to
    dpkg-buildpackage)

 -- Luis Henriques <luis.henriques@canonical.com>  Wed, 04 Jul 2012 14:12:12 +0100

linux-restricted-modules-2.6.24 (2.6.24.18-32.13) hardy-proposed; urgency=low

  * Bump ABI to -32

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 16:52:55 +0100

linux-restricted-modules-2.6.24 (2.6.24.18-31.12) hardy-proposed; urgency=low

  * Bump ABI to -31

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 11:08:38 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-30.11) hardy-proposed; urgency=low

  * Bump upload number, for reupload to c-k-t PPA with fixed source package
    (previous version had its source package wrongly created, with missing
    .o files required for build, due to stock -I option passed to
    dpkg-buildpackage)

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Wed, 09 Nov 2011 20:37:57 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-30.10) hardy-proposed; urgency=low

  [Tim Gardner]

  * remove generated files from the repo
  * [Config] Use 'git log' instead of 'git-log'

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 08 Nov 2011 12:23:49 -0200

linux-restricted-modules-2.6.24 (2.6.24.18-29.9) hardy-proposed; urgency=low

  [Brad Figg]

  * Bump ABI to -29

 -- Brad Figg <brad.figg@canonical.com>  Thu, 17 Mar 2011 10:18:13 -0700

linux-restricted-modules-2.6.24 (2.6.24.18-28.7) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: Fix fglrx compilation on 64bit after CVE-2010-3081
    - LP: #642518

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 21 Sep 2010 13:19:30 +0000

linux-restricted-modules-2.6.24 (2.6.24.18-28.6) hardy-security; urgency=low

  [Stefan Bader]

  * Bump ABI to -28 for security release

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 07 May 2010 13:22:47 +0000

linux-restricted-modules-2.6.24 (2.6.24.18-27.5) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump upload to .5 due to packaging blunder 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Thu, 28 Jan 2010 12:20:39 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-27.4) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -27 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 11:43:09 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-26.3) hardy-security; urgency=low

  [Leann Ogasawara]

  * Bump ABI to -26 for security release 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 01 Dec 2009 00:14:34 -0800

linux-restricted-modules-2.6.24 (2.6.24.18-25.2) hardy-security; urgency=low

  Bump ABI to -25 due to security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 12:30:49 -0700

linux-restricted-modules-2.6.24 (2.6.24.18-24.1) hardy-proposed; urgency=low

  [Tim Gardner]

  * SAUCE: Patch broadcom MODULE_LICENSE
    - LP: #372425
  * SAUCE: Update Broadcom to 5_10_91_9
    - LP: #372425

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 04 May 2009 23:37:26 +0200

linux-restricted-modules-2.6.24 (2.6.24.17-24.1) hardy-proposed; urgency=low

  * Updated broadcom wl driver to 5_10_79_10
    This has been tested to fix issues with random crashed and at least one
    buffer overrun with 32 byte SSIDs.
    - LP: #292450
  * Added build-orig-source target to automatically create orig.tar.gz

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 08 Apr 2009 14:22:36 +0200

linux-restricted-modules-2.6.24 (2.6.24.16-24.57) hardy-proposed; urgency=low

  * Bump ABI to -24 for -proposed kernel

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 17 Feb 2009 20:21:39 +0000

linux-restricted-modules-2.6.24 (2.6.24.16-23.56) hardy-proposed; urgency=low

  * Update wl to 5_10_27_12
    This update from Broadcom has a new binary blob, better locking and
    protection against the interrupt handler, and sets the VLAN mode to
    off by default. They have also abstracted the ioctl code for kernels newer
    then 2.6.26.
    - LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 02 Jan 2009 21:59:39 +0000

linux-restricted-modules-2.6.24 (2.6.24.15-23.55) hardy-proposed; urgency=low

  * Updated Broadcom wl driver to version 5.10.27.11. The previous version
    was actually 5.10.27.9 though that value was not reflected in the original
    tarball name. Broadcom says this version should address some of
    the kernel crashes folks are seeing, though there do not appear to
    be any release notes about what exactly was fixed.
    -LP: #292450

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 16 Dec 2008 16:37:03 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-23.54) hardy-proposed; urgency=low

  * ABI bump to -23 for hardy-proposed release.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 26 Nov 2008 09:33:56 +0000

linux-restricted-modules-2.6.24 (2.6.24.14-22.53) hardy-security; urgency=low

  * ABI bump to -22 for hardy-security release.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 20 Nov 2008 11:36:14 +0100
