=== debian/control ===
# THIS FILE IS AUTO-GENERATED FROM control.stub.in
Source: linux-restricted-modules-2.6.24
Section: restricted/misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Uploaders: Adam Conrad <adconrad@0c3.net>, Ben Collins <ben.collins@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
 kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
 sharutils, bzip2, libgtk2.0-dev [i386 amd64],
 linux-headers-2.6.24-32-386 [i386],
 linux-headers-2.6.24-32-server [amd64 i386],
 linux-headers-2.6.24-32-generic [amd64 i386],
 linux-headers-2.6.24-32-lpia [lpia],
 linux-headers-2.6.24-32-lpiacompat [lpia],
 linux-headers-2.6.24-32-openvz [i386 amd64],
 linux-headers-2.6.24-32-rt [i386 amd64],
 linux-headers-2.6.24-32-xen [amd64 i386],
 linux-headers-2.6.24-32-powerpc [powerpc],
 linux-headers-2.6.24-32-powerpc-smp [powerpc],
 linux-headers-2.6.24-32-powerpc64-smp [powerpc],
 linux-headers-2.6.24-32-mckinley [ia64],
 linux-headers-2.6.24-32-itanium [ia64],
 linux-headers-2.6.24-32-hppa32 [hppa],
 linux-headers-2.6.24-32-hppa64 [hppa],
 linux-headers-2.6.24-32-sparc64-smp [sparc],
 linux-headers-2.6.24-32-sparc64 [sparc]
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git

Package: linux-restricted-modules-common
Architecture: all
Priority: optional
Depends: binutils-static
Description: Non-free Linux 2.6.24 modules helper script
 This package provides only a set of helper scripts to handle
 linux-restricted-modules.

Package: linux-restricted-modules-2.6.24-32-386
Architecture: i386
Priority: optional
Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
Depends: linux-image-2.6.24-32-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-32
Description: Non-free Linux 2.6.24 modules on 386
 This package provides restricted modules for Linux version 2.6.24 on
 386.
 Currently the following modules are included:
  - madwifi (Atheros)
  - fglrx (ATI)
  - nvidia
  - fcdsl, fcdsl2, fcdslsl, fcdslslusb, fcdslusb, fcdslusb2, fcdslusba,
    fcpci, fcusb, fwlanusb, fxusb (AVM ISDN)
  - ltmodem (Winmodem)
 . 
 These modules are "restricted" because they are not available under a
 completely Free licence.

Package: nvidia-glx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-kernel-source (>= ${nvidia:Version}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx-legacy, nvidia-glx-new
Replaces: nvidia-glx-src
Provides: xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and support the newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one.

Package: nvidia-glx-dev
Architecture: i386 amd64
Depends: nvidia-glx (>= ${nvidia:Version}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-legacy-dev, nvidia-glx-new-dev
Description: NVIDIA binary XFree86 4.x/X.Org driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org driver
 development files.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx (>= ${nvidia:Version}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src
Replaces: nvidia-kernel-src
Description: NVIDIA binary kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.

Package: nvidia-glx-new
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-new-kernel-source (>= ${nvidia:NewVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-xconfig, nvidia-glx, nvidia-glx-legacy
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the  newer
 GeForce, nForce and Quadro families of NVIDIA chipsets.  AGP, TV-out and
 flat panel displays are also supported.
 .
 If you have a TNT, TNT2, or older GeForce, you may need the nvidia-glx-legacy
 package instead of this one. If you have a GeForce4, you may need the nvidia-glx
 package.

Package: nvidia-glx-new-dev
Architecture: i386 amd64
Depends: nvidia-glx-new (>= ${nvidia:NewVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev, nvidia-glx-legacy-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'new' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'new' driver
 development files.
 .
 This is the 'new' driver for newer chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-new-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-new (>= ${nvidia:NewVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source, nvidia-legacy-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'new' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'new' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-new description, please use the
 nvidia-glx driver, which is more compatible.

Package: nvidia-glx-legacy
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), libglu1-mesa | libglu1, ${shlibs:Depends}
Suggests: nvidia-legacy-kernel-source (>= ${nvidia:LegacyVersion}), nvidia-settings
Conflicts: nvidia-glx-src, nvidia-glx
Replaces: nvidia-glx-src
Provides: nvidia-glx, xserver-xorg-video-2
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 These XFree86 4.x/X.Org binary drivers provide optimized hardware acceleration
 of OpenGL applications via a direct-rendering X Server and supports the TNT,
 TNT2, TNT Ultra, GeForce, and GeForce2 chipsets. AGP, TV-out and flat panel
 displays are also supported.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the above paragraph, please use the nvidia-glx driver,
 which is much more up to date.

Package: nvidia-glx-legacy-dev
Architecture: i386 amd64
Depends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Conflicts: nvidia-glx-dev
Description: NVIDIA binary XFree86 4.x/X.Org 'legacy' driver development files
 This package contains the NVIDIA binary XFree86 4.x/X.Org 'legacy' driver
 development files.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.
 .
 For more information on this source package visit NVIDIA's homepage
 at http://www.nvidia.com/ .

Package: nvidia-legacy-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: nvidia-glx-legacy (>= ${nvidia:LegacyVersion}), kernel-package (>= 8.082), devscripts
Conflicts: nvidia-kernel-src, nvidia-kernel-source
Replaces: nvidia-kernel-src, nvidia-kernel-source
Provides: nvidia-kernel-source
Description: NVIDIA binary 'legacy' kernel module source
 This package builds the NVIDIA XFree86 4.x/X.Org binary kernel module needed
 by nvidia-glx.  This package is not needed on an Ubuntu system because
 a pre-compiled kernel module is supplied by the linux-restricted-modules
 packages.
 .
 This is the 'legacy' driver for older chipsets.  Unless your chipset is
 explicitly listed in the nvidia-glx-legacy description, please use the
 nvidia-glx driver, which is much more up to date.

Package: fglrx-kernel-source
Architecture: i386 amd64
Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
Recommends: xorg-driver-fglrx (>= ${ati:XOrgVersion}), kernel-package (>= 8.082), devscripts
Description: ATI binary kernel module source
 This package builds the ATI XFree86 4.x/X.Org binary kernel module needed
 by xorg-driver-fglrx.  This package is not needed on an
 Ubuntu system because a pre-compiled kernel module is supplied by the
 linux-restricted-modules  packages.

Package: xorg-driver-fglrx
Architecture: i386 amd64
Depends: linux-restricted-modules-common, xserver-xorg-core (>= 1:0.99.0-1), ${shlibs:Depends}
Conflicts: fglrx-driver, xfree86-driver-fglrx, nvidia-glx, nvidia-glx-legacy
Replaces: fglrx-driver, xfree86-driver-fglrx
Provides: fglrx-driver, xserver-xorg-video-2
Description: Video driver for ATI graphics accelerators
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This version of the ATI driver officially supports:
 .
  * FireGL: V8650, V8600, V7600, V7350, V7300, V7200, V7100,
            V5600, V5200, V5100, V5000, HD3870, HD3850, V3600, V3400,
            V3300, V3200, V3100, X3-256, X3, X2-256, Z1-128, T2-128,
            X1-128, X1-256p
  * FireMV: 2200 (Single card PCI-e configuration)
  * Mobility FireGL: V5000, T2
  * Mobility Radeon: X1800, X1600, X1400, X1300, X800, X700, X600, X300,
                     X200, 9800, 9600, 9550, 9500
  * Radeon Xpress: 1200 series, 1100 series, 200 series
  * Radeon: HD2900, HD2600, HD2400, X1900, X1800, X1600, X1300, X850,
            X800, X700, X600, X550, X300, 9800, 9700, 9600, 9550, 9500
 .
 ATI All-in-Wonder variants of the above cards/chips are also supported,
 but video capture is not.
 .
 This package provides 2D display drivers and hardware accelerated OpenGL.

Package: xorg-driver-fglrx-dev
Architecture: i386 amd64
Depends: xorg-driver-fglrx (= ${ati:XOrgFullVersion})
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev
Provides: fglrx-driver-dev
Description: Video driver for ATI graphics accelerators (devel files)
 Video driver for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions
 and the FGLRXGAMMA extension interface library.

Package: fglrx-control
Architecture: i386 amd64
Depends: xorg-driver-fglrx, ${shlibs:Depends}
Conflicts: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Replaces: xorg-driver-fglrx (< 1:7.1.0-7-11+2.6.24.5-4.12)
Description: Control panel for the ATI graphics accelerators
 Control panel for the ATI Radeon and FireGL graphics accelerators.
 .
 This package provides the control panel compiled for Qt3.

Package: fglrx-amdcccle
Architecture: i386 amd64
Depends: fglrx-control
Description: Dummy package for easy transition
 This is a dummy package for easy transition with ATI's packages.

Package: avm-fritz-kernel-source
Architecture: amd64 i386
