## linux-restricted-modules-2.6.24 2.6.24.24-24.0netbook1

=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.24-24.0netbook1) netbook-common; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 17 Apr 2009 20:25:06 -0400

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook6) netbook-common; urgency=low

  * Bumped version.  Built against latest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 17 Apr 2009 15:38:56 -0400

linux-restricted-modules-2.6.24 (2.6.24.14-22.53netbook5) netbook-common; urgency=low

  [Colin King]
	
  * Updated Broadcom wl driver to gold version of 5.10.79.10 and applied
    http://www.broadcom.com/docs/linux_sta/wl_iw.patch to fix a hang when
    using WPA-Enterprise

 -- Tony Espy <espy@canonical.com>  Mon, 30 Mar 2009 16:04:46 -0400	
