=== debian/control ===
--- 
+++ 
@@ -8,24 +8,22 @@
 Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
  kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
  sharutils, bzip2, libgtk2.0-dev [i386 amd64],
- linux-headers-2.6.24-32-386 [i386],
- linux-headers-2.6.24-32-server [amd64 i386],
- linux-headers-2.6.24-32-generic [amd64 i386],
- linux-headers-2.6.24-32-lpia [lpia],
- linux-headers-2.6.24-32-lpiacompat [lpia],
- linux-headers-2.6.24-32-openvz [i386 amd64],
- linux-headers-2.6.24-32-rt [i386 amd64],
- linux-headers-2.6.24-32-xen [amd64 i386],
- linux-headers-2.6.24-32-powerpc [powerpc],
- linux-headers-2.6.24-32-powerpc-smp [powerpc],
- linux-headers-2.6.24-32-powerpc64-smp [powerpc],
- linux-headers-2.6.24-32-mckinley [ia64],
- linux-headers-2.6.24-32-itanium [ia64],
- linux-headers-2.6.24-32-hppa32 [hppa],
- linux-headers-2.6.24-32-hppa64 [hppa],
- linux-headers-2.6.24-32-sparc64-smp [sparc],
- linux-headers-2.6.24-32-sparc64 [sparc]
-Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git
+ linux-headers-2.6.24-24-386 [i386],
+ linux-headers-2.6.24-24-server [amd64 i386],
+ linux-headers-2.6.24-24-generic [amd64 i386],
+ linux-headers-2.6.24-24-lpia [lpia],
+ linux-headers-2.6.24-24-openvz [i386 amd64],
+ linux-headers-2.6.24-24-rt [i386 amd64],
+ linux-headers-2.6.24-24-xen [amd64 i386],
+ linux-headers-2.6.24-24-powerpc [powerpc],
+ linux-headers-2.6.24-24-powerpc-smp [powerpc],
+ linux-headers-2.6.24-24-powerpc64-smp [powerpc],
+ linux-headers-2.6.24-24-mckinley [ia64],
+ linux-headers-2.6.24-24-itanium [ia64],
+ linux-headers-2.6.24-24-hppa32 [hppa],
+ linux-headers-2.6.24-24-hppa64 [hppa],
+ linux-headers-2.6.24-24-sparc64-smp [sparc],
+ linux-headers-2.6.24-24-sparc64 [sparc]
 
 Package: linux-restricted-modules-common
 Architecture: all
@@ -35,12 +33,12 @@
  This package provides only a set of helper scripts to handle
  linux-restricted-modules.
 
-Package: linux-restricted-modules-2.6.24-32-386
+Package: linux-restricted-modules-2.6.24-24-386
 Architecture: i386
 Priority: optional
 Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
-Depends: linux-image-2.6.24-32-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
-Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-32
+Depends: linux-image-2.6.24-24-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
+Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-24
 Description: Non-free Linux 2.6.24 modules on 386
  This package provides restricted modules for Linux version 2.6.24 on
  386.
@@ -260,3 +258,5 @@
 
 Package: avm-fritz-kernel-source
 Architecture: amd64 i386
+Depends: debhelper (>> 4.0.0), make, sed (>> 3.0), dpatch (>= 2.0.0)
+Recommends: kernel-package (>= 8.082), devscripts
