=== debian/changelog ===
linux-restricted-modules-2.6.24 (2.6.24.25-29.1netbook01) netbook-common; urgency=low

  [Ike Panhc]

  * Bump ABI to -29

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 21 Apr 2011 15:12:34 +0800
