=== debian/control ===
--- 
+++ 
@@ -8,22 +8,22 @@
 Build-Depends: cpio, debhelper (>= 4.0.0), libc6-i386 [amd64],
  kernel-wedge (>= 2.05ubuntu2), module-init-tools, rpm, sed (>> 3.0),
  sharutils, bzip2, libgtk2.0-dev [i386 amd64],
- linux-headers-2.6.24-28-386 [i386],
- linux-headers-2.6.24-28-server [amd64 i386],
- linux-headers-2.6.24-28-generic [amd64 i386],
- linux-headers-2.6.24-28-lpia [lpia],
- linux-headers-2.6.24-28-openvz [i386 amd64],
- linux-headers-2.6.24-28-rt [i386 amd64],
- linux-headers-2.6.24-28-xen [amd64 i386],
- linux-headers-2.6.24-28-powerpc [powerpc],
- linux-headers-2.6.24-28-powerpc-smp [powerpc],
- linux-headers-2.6.24-28-powerpc64-smp [powerpc],
- linux-headers-2.6.24-28-mckinley [ia64],
- linux-headers-2.6.24-28-itanium [ia64],
- linux-headers-2.6.24-28-hppa32 [hppa],
- linux-headers-2.6.24-28-hppa64 [hppa],
- linux-headers-2.6.24-28-sparc64-smp [sparc],
- linux-headers-2.6.24-28-sparc64 [sparc]
+ linux-headers-2.6.24-29-386 [i386],
+ linux-headers-2.6.24-29-server [amd64 i386],
+ linux-headers-2.6.24-29-generic [amd64 i386],
+ linux-headers-2.6.24-29-lpia [lpia],
+ linux-headers-2.6.24-29-openvz [i386 amd64],
+ linux-headers-2.6.24-29-rt [i386 amd64],
+ linux-headers-2.6.24-29-xen [amd64 i386],
+ linux-headers-2.6.24-29-powerpc [powerpc],
+ linux-headers-2.6.24-29-powerpc-smp [powerpc],
+ linux-headers-2.6.24-29-powerpc64-smp [powerpc],
+ linux-headers-2.6.24-29-mckinley [ia64],
+ linux-headers-2.6.24-29-itanium [ia64],
+ linux-headers-2.6.24-29-hppa32 [hppa],
+ linux-headers-2.6.24-29-hppa64 [hppa],
+ linux-headers-2.6.24-29-sparc64-smp [sparc],
+ linux-headers-2.6.24-29-sparc64 [sparc]
 Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-hardy-lrm.git
 
 Package: linux-restricted-modules-common
@@ -34,12 +34,12 @@
  This package provides only a set of helper scripts to handle
  linux-restricted-modules.
 
-Package: linux-restricted-modules-2.6.24-28-386
+Package: linux-restricted-modules-2.6.24-29-386
 Architecture: i386
 Priority: optional
 Provides: nvidia-kernel-96.43.05, nvidia-kernel-71.86.04, nvidia-kernel-169.12
-Depends: linux-image-2.6.24-28-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
-Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-28
+Depends: linux-image-2.6.24-29-386, linux-restricted-modules-common (>= 2.6.24), module-init-tools, nvidia-kernel-common
+Suggests: nvidia-glx | nvidia-glx-legacy | nvidia-glx-new, avm-fritz-firmware-2.6.24-29
 Description: Non-free Linux 2.6.24 modules on 386
  This package provides restricted modules for Linux version 2.6.24 on
  386.
