=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 ltm_url = http://linmodems.technion.ac.il/packages/ltmodem/kernel-2.6/
 
 # madwifi
-madwifi_version = 0.9.4
+madwifi_version = 0.10.0
 
 # broadcom wireless
 bcmwl_dir = bcmwl
@@ -199,7 +199,7 @@
 ifeq "$(DEB_HOST_ARCH)" "lpia"
 export karch=i386
 mw_target := TARGET=i386-elf
-flavours := $(addprefix $(kernel_abi_version)-,lpia lpiacompat)
+flavours := $(addprefix $(kernel_abi_version)-,lpia)
 
 NVIDIA  := 0 # no nVidia support yet
 FGLRX   := 0 # no FireGL support yet
